<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>

<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
<meta name="description" content="description"/>
<meta name="keywords" content="keywords"/> 
<meta name="author" content="author"/> 
<link rel="stylesheet" type="text/css" href="../../default.css" media="screen"/>
<title>kaklik's Packet radio</title>
</head>

<body>

<div class="container">

<?php
  include ("./../../include/navigation.cs.php");
?>

	<div class="holder_top"></div>

	<div class="holder">
	<h1>Instalace Packet Radia  pod systémem Debian Linux s použitím zvukové karty jako modemu</h1>
	<p>&nbsp;</p>
	<p>Hned na začátek bych chtěl napsat, že paket se mi podařilo tímto postupem rozchodit pouze u jader kernel-image-2.4.x. Jádra 2.6 z nějakých důvodů nefungují (nepracuje správně demon soundmodem, psáno koncem roku 2005).</p>
	<p>Předpokládám, že už máte nainstalovaný funkční systém Debian a již zvládáte používání  balíčkového managera „apt-get“.</p>
	<p>Nejprve je potřeba nainstalovat Linuxové ovladače zvukové karty, to provedeme pomocí programu „modconf“.</p>
	<p class="therminal"># modconf</p>
	<p>Zvukovou kartu je třeba nainstalovat s ovladači OSS. S ovladači ALSA se mi soundmodem rozchodit nepodařilo.</p>
	<p>Já používám zvukovou kartu SoundBlaster  Creative AWE64, proto jsem nainstaloval modul „sb“ a program „modconf“ sám přidal další nezbytné moduly jako „sound“ a „soundcore“. Správnost instalace zkontrolujeme vygenerováním nějakého zvukového výstupu; např. pomocí „saytime“.</p>
	<p class="therminal"># apt-get install saytime<br/>
	# saytime</p>
	<p>Tento program by nám měl říct aktuální systémový čas. Pokud se tak nestane, je něco špatně. Potom třeba můžeme prohlédnou výpis „lsmod“, jestli je skutečně nahrán modul pro naši zvukovou kartu.</p>
	<p class="therminal">
	# lsmod<br />
	Module                  Size  Used by    Not tainted<br />
	mkiss                   6568   1<br />
	ax25                   35188   0  [mkiss]<br />
	sb                      8052   0<br />
	sb_lib                 32846   0  [sb]<br />
	uart401                 6116   0  [sb_lib]<br />
	sound                  53384   0  [sb_lib uart401]<br />
	soundcore               3620   5  [sb_lib sound]
	</p>
	<p>Hlasitost výstupu snadno změníme programem aumix.</p>
	<p class="therminal">
	# apt-get install aumix<br />
	# aumix
	</p>
	<p>Aumix budeme používat i nadále, až budeme ladit příjem. Je třeba nastavit na určitou hodnotu hlasitost radia a k tomu doladit zisk mikrofonního vstupu. Zde to chce trochu experimentování, ale nastavení není zase tak kritické.</p>
<p>Tak teď nám funguje zvuková karta a my můžeme pokračovat v instalaci softwaru potřebného pro fungování packet radia. Funkci modemu bude obstarávat program „soundmodem“ společně s programem „kissattach“, který zařizuje komunikaci mezi packetovým terminálem a modemem.</p>
<p>Rovnou si nainstalujeme i užitečné balíčky ax25-tools a ax25-apps, které se nám budou hodit později.</p>
<p class="therminal"># apt-get install soundmodem ax25-tools ax25-apps
</p>
<p>Když ale nyní spustíme demona soundmodem, tak dostaneme chybové hlášení o nenalezení konfiguračního souboru „soundmodem.conf” 
</p>
<p class="therminal"># soundmodem<br />
sm[14081]: Error parsing config file "/etc/ax25/soundmodem.conf"<br />
                Please run soundmodemconfig<br />
#</p>
<p>Konfigurační soubor je nejlepší vytvořit programem soundmodemconfig, ten ale lze spustit pouze v grafickém režimu. Je několik možností jak to udělat.</p>
<ul>
<li>Nainstalovat X11 server a „fvwm“. Fvwm je minimalizovaný windows manager, který má nízké nároky na paměť a diskový prostor.</li>
<li>Vytvořit SSH  spojení s jiným počítačem v síti s již nainstalovaným X11 serverem a zde pouze nainstalovat balík xbase-clients.</li>
<li>Nainstalovat na jiný počítač v síti se systémem windows emulátor „Cygwin“,  spustit X11 server, a na packetový počítač nainstalovat balík xbase-clients. A oba navzájem spojit pomocí SSH.
</li>
</ul>
<p>Nyní můžeme spustit program „soundmodemconfig“ v grafické konzoli:</p>
<p class="therminal">#soundmodemconfig</p>
<img src="images/img000.png" alt="soundmodem" width="566" height="364" />
<p>Otevře se okno, v kterém je třeba vytvořit novou konfiguraci File/New/Configuration. Dále je potřeba nastavit zdroj signálu na zvukovku /dev/dsp. A výstup PTT na sériovou (ttyS) nebo paralelní (parport) linku.</p>
<img src="images/img001.png" width="566" height="364" />
<p>Na kartě „Channel Access“ se v podstatě nastavují vlastnosti vysílání, jako doba klíčování před vysíláním dat, nebo nejkratší  mrtvá doba pro prázdný kanál. Obvykle tyto hodnoty není třeba měnit.</p>
<img src="images/img002.png" width="566" height="364" />
<p>Dále zvolíme druh modulace a přenosovou rychlost.</p>
<img src="images/img003.png" width="566" height="364" />
<p>Provedeme napojení soundmodemu na virtuelní zařízení zvukové karty.</p>
<img src="images/img004.png" width="566" height="364" />
<p>Zde je potřeba vybrat režim KISS a interface pro předávání packetů vyšším vrstvám nastavit na „/dev/soundmodem0“.</p>
<p>Nakonec dostaneme soubor podobný tomuto:</p>
<p class="therminal">
# cat soundmodem.conf<br />
&lt;?xml version=&quot;1.0&quot;?&gt;<br>
&lt;modem&gt;<br>
&nbsp; &lt;configuration name=&quot;packet&quot;&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;chaccess txdelay=&quot;150&quot; slottime=&quot;100&quot; ppersist=&quot;40&quot; 
fulldup=&quot;0&quot; txtail=&quot;10&quot;/&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;audio type=&quot;soundcard&quot; device=&quot;/dev/dsp&quot; halfdup=&quot;0&quot;/&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;ptt file=&quot;/dev/ttyS0&quot;/&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;channel name=&quot;Channel 0&quot;&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;mod mode=&quot;afsk&quot; bps=&quot;1200&quot; f0=&quot;1200&quot; f1=&quot;2200&quot; 
diffenc=&quot;1&quot;/&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;demod mode=&quot;afsk&quot; bps=&quot;1200&quot; f0=&quot;1200&quot; f1=&quot;2200&quot; 
diffdec=&quot;1&quot;/&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;pkt mode=&quot;KISS&quot; ifname=&quot;sm0&quot; hwaddr=&quot;&quot; ip=&quot;10.0.0.1&quot; 
netmask=&quot;255.255.255.0&quot; broadcast=&quot;10.0.0.255&quot; file=&quot;/dev/soundmodem0&quot; 
unlink=&quot;1&quot;/&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;/channel&gt;<br>
&nbsp; &lt;/configuration&gt;<br>
&lt;/modem&gt;<br>
#
</p>
<p>Program soundmodemconfig můžeme také s výhodou použít pro kontrolu nastavení zvukové karty a transieveru. Program má bohatou diagnostiku a je sám schopen zobrazovat přijímané packety. Nastavení je nutné provést před zavedením dalších démonů, protože po jejich spuštění, nelze již spustit program soundmodemconfig.
</p>
<img src="images/img005.png" width="566" height="364" />
<p>Nyní můžeme spustit program soundmodem jako demona. Je vhodné přesměrovat jeho výstup na poslední terminál, aby nerušil výpisy na konzoli a zároveň, abychom mohli v případě potřeby, přepnutím na tuto konzoli, sledovat provoz.
</p>
<p class="therminal">
# soundmodem > /dev/tty8 &
</p>
<p>Mělo by vzniknout nové zařízení „/dev/soundmodem0” které je třeba připojit na některý z packetových  portů definovaných v souboru „/etc/ax25/axports“ , aby bylo možné používat vyšší packetový software jako program „call“ nebo částečně grafický terminál „linpac“ a podobně. To zařídíme pomocí programu kissattach.<br />
Kissattach má dvě části, hlavní částí je modul „mkiss“, který zavedeme pomocí programu „modconf“ a druhou částí je samotný program „kissattach“ který slouží k předávání parametrů samotnému modulu.</p>
<p>
Můj soubor „axports“ vypadá takto:
</p>
<p class="therminal">
#cat /etc/ax25/axports<br />
#<br />
# The format of this file is:<br />
#<br />
#name callsign speed paclen window description<br />
#<br />
1       CZ3BAF  1200    255     2       CB Radio (1200  bps)<br />
#<br />
</p>
<p>Tak, pokud máme nakonfigurované porty, můžeme vytvořit spojení se soundmodemem.</p>
<p class="therminal">
# kissattach /dev/soundmodem0 1 127.0.1.0<br />
AX.25 port 1 bound to device ax0<br />
</p>
<p>Pokud vše proběhlo správně, tak vznikne nové virtuální síťové zařízení AX0:</p>
<p class="therminal">
# ifconfig<br />
ax0       Link encap:AMPR AX.25  HWaddr CZ3BAF<br />
inet addr:127.0.1.0  Bcast:127.255.255.255  Mask:255.0.0.0<br />
          UP BROADCAST RUNNING  MTU:255  Metric:1<br />
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0<br />
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0<br />
          collisions:0 txqueuelen:10<br />
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)<br />
</p>
<p>Teď můžeme vyzkoušet zvukový výstup ze soundmodemu tak, že se pokusíme zavolat nějakou stanici..</p>
<p class="therminal">
# call 1 cz3jso<br />
GW4PTS AX.25 Connect v1.11<br />
Trying... <br />
</p>
<p>Zároveň by se na terminálu tty8 (pokud jsme při spouštění soundmodemu provedli přesměrování) Měl objevit takovýto výpis:</p>
<p class="therminal">
Tx: fm CZ3BAF-0 to CZ3JSO-0 SABM+<br />
<br />
Tx: fm CZ3BAF-0 to CZ3JSO-0 SABM+<br />
<br />
Tx: fm CZ3BAF-0 to CZ3JSO-0 SABM+<br />
</p>
<p>Pokud budou nějaká data pro příjem, tak se zde zobrazí taky..
Jestli jste se úspěšně dostali  až sem, tak je to v podstatě konec softwarových problémů, teď už jen zbývá připojit vysílačku ke zvukové kartě a trochu si pohrát s nastavením optimální hlasitosti. Pomocí programů „aumix“ a „soudmodemconfig“, kterým také rovnou můžeme zobrazovat přijímaná data. Jestli se vám nebude líbit jednoduchý program „call“ tak si nainstalujte uživatelsky příjemnější terminál „linpac“ s instalací by už myslím neměli být žádné problémy.. </p>
</div>

<?php
  include ("./../../include/footer.php");
?>

</div>

</body>

</html>
